Texture2D opaqueColor;
Texture2D accumA;
Texture2D accumB;

float4 main(float4 ScreenPos : SV_Position) : SV_Target
{
  float4 accum = accumA.Load(int3(ScreenPos.xy, 0));
  float r = accum.a;
  accum.a = accumB.Load(int3(ScreenPos.xy, 0)).r;
  float4 src = float4(accum.rgb / max(1e-4, min(5e5, accum.a)), r);

  float4 dst = opaqueColor.Load(int3(ScreenPos.xy, 0));
  return float4(lerp(src.rgb, dst.rgb, src.a), src.a + dst.a);
}
