

  var AddressMode = {
      Clamp: 0,
      Wrap: 1,
      Mirror: 2,
      Border: 3,
  };

  var BlendMode = {
      None: 3,
      Add: 1,
      Blend: 0,
      PremultipliedBlend: 2,
  };

  var CullMode = {
      None: 0,
      Back: 1,
      Front: 2,
  };

  var HorizontalAlignment = {
      Left: 1,
      Right: 2,
      Center: 3,
  };

  var LightType = {
      Directional: 0,
      Point: 1,
      Spot: 2,
  };

  var LodPolicy = {
      None: 0,
      CenterDistance: 1,
      GeometricTolerance: 2,
  };

  var ModelLoadFlags = {
      None: 0,
      ForceSynchronous: 1,
      NeedsTangents: 65536,
      AutomaticTransparency: 131072,
      ForceTwoSidedMaterial: 262144,
  };

  var PositionMode = {
      Relative: 0,
      Pixels: 1,
      World: 2,
      Local: 3,
  };

  var PrimitiveType = {
      TriangleList: 0,
      TriangleStrip: 1,
      LineList: 2,
      LineStrip: 3,
      PointList: 4,
  };

  var ProjectionMode = {
      Perspective: 0,
      Orthographic: 1,
  };

  var RenderLayers = {
      None: 0,
      Default: 1,
      Ocean: 2,
      Annotations: 4,
      Sky: 8,
  };

  var ResourceLoadFlags = {
      None: 0,
      ForceSynchronous: 1,
  };

  var ResourceTypes = {
      Unknown: -1,
      Buffer: 6,
      Mesh: 5,
      Model: 0,
      Material: 3,
      MaterialInstance: 4,
      Effect: 2,
      Font: 7,
      Texture: 1,
  };

  var ShapePrimitiveType = {
      Default: 0,
      TriangleList: 1,
      TriangleStrip: 2,
      DefaultLine: 3,
      LineList: 4,
      LineStrip: 5,
      TriangleListAdjacency: 6,
      TriangleStripAdjacency: 7,
      LineListAdjacency: 8,
      LineStripAdjacency: 9,
      PointList: 10,
  };

  var ShapeType = {
      Sphere: 2,
      SphereGeoTexCyl: 4,
      SphereGeoTexSph: 3,
      Cylinder: 5,
      Cone: 6,
      Cube: 7,
      CubeTex2D: 8,
      None: 0,
      Plane: 1,
  };

  var SizeMode = {
      Relative: 0,
      Pixels: 1,
  };

  var TextureFormat = {
      Unknown: 0,
      R8G8B8A8_UNORM: 4,
  };

  var TextureLoadFlags = {
      None: 0,
      ForceSynchronous: 1,
      Flip: 65536,
      LinearColorSpace: 65537,
  };

  var TransparencyMode = {
      None: 0,
      Off: 0,
      Regular: 1,
      On: 1,
      Auto: 2,
      Alpha: 3,
  };

  var VerticalAlignment = {
      Bottom: 3,
      Center: 2,
      Top: 1,
  };
  