struct MyVertexIn
{
  float4 Color: TEXCOORD8;
  VertexIn vertexIn;
};

float4 main(MyVertexIn In) : SV_Target
{
  float4 rv = In.Color;
#if defined(COGS_ALPHA_TEST_DISCARD) || defined(COGS_ALPHA_TO_COVERAGE)
  SurfaceOut surface = SURFACE_FUNCTION(In.vertexIn);
  if (surface.Color.a < alphaThreshold) discard;
#endif
  return rv;
}
