float lightScale;
float expComp;
float expMin;
float expMax;

RWStructuredBuffer<float> exposureBuffer;

[numthreads(1,1,1)]
void main(uint3 gid : SV_GroupID, uint3 tid : SV_GroupThreadID, uint tix : SV_GroupIndex)
{
  exposureBuffer[0] = clamp(exp2(expComp) / lightScale,
                            expMin,
                            expMax);

}
