SurfaceOut surfaceFunction(VertexIn In)
{
  SurfaceOut Out = (SurfaceOut)0;

#ifdef COGS_POINT_MATERIAL_ROUND
  float2 l = float2(0.5, 0.5) - In.Weights.xy;
  float r = max(0, 1.0 - 4 * dot(l, l));
#else
  float r = 1;
#endif

  Out.Color = r*float4(diffuseColor.rgb, diffuseColor.a);
  Out.Normal = float3(1, 1, 1);

  return Out;
}
